LibreOffice LibreOffice 26.2 SDK C/C++ API Reference

Loading...
Searching...
No Matches
exc_hlp.hxx File Reference
`#include "com/sun/star/uno/Any.hxx"`
`#include "cppuhelper/cppuhelperdllapi.h"`

Go to the source code of this file.

## Namespaces
namespace | cppu

## Functions
CPPUHELPER_DLLPUBLIC void | cppu::throwException (const css::uno::Any &rExc)
| This function throws the exception given by rExc.
CPPUHELPER_DLLPUBLIC css::uno::Any | cppu::getCaughtException ()
| Use this function to get the dynamic type of a caught C++-UNO exception; completes the above function throwing exceptions generically.